CREATE DATABASE `deu-de_web-wrt_2019_100K`;

USE deu-de_web-wrt_2019_100K;

CREATE TABLE `words` (
  `w_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `word` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
  `freq` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`w_id`),
  KEY `word` (`word`),
  KEY `w_id` (`w_id`)
) ENGINE=MyISAM AUTO_INCREMENT=166407 DEFAULT CHARSET=utf8;

CREATE TABLE `sentences` (
  `s_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `sentence` text,
  `penalty` float DEFAULT '0',
  KEY `s_id` (`s_id`)
) ENGINE=MyISAM AUTO_INCREMENT=100001 DEFAULT CHARSET=utf8;

CREATE TABLE `co_s` (
  `w1_id` int(10) unsigned NOT NULL DEFAULT '0',
  `w2_id` int(10) unsigned NOT NULL DEFAULT '0',
  `freq` int(8) unsigned DEFAULT NULL,
  `sig` float DEFAULT NULL,
  PRIMARY KEY (`w1_id`,`w2_id`),
  KEY `w1_sig` (`w1_id`,`sig`),
  KEY `w2_sig` (`w2_id`,`sig`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `co_n` (
  `w1_id` int(10) unsigned NOT NULL DEFAULT '0',
  `w2_id` int(10) unsigned NOT NULL DEFAULT '0',
  `freq` int(8) unsigned DEFAULT NULL,
  `sig` float DEFAULT NULL,
  PRIMARY KEY (`w1_id`,`w2_id`),
  KEY `w1_sig` (`w1_id`,`sig`),
  KEY `w2_sig` (`w2_id`,`sig`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `inv_w` (
  `w_id` int(10) unsigned NOT NULL DEFAULT '0',
  `s_id` int(10) unsigned NOT NULL DEFAULT '0',
  `pos` mediumint(2) unsigned NOT NULL DEFAULT '0',
  KEY `w_id` (`w_id`),
  KEY `s_id` (`s_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `inv_so` (
  `so_id` int(10) unsigned NOT NULL DEFAULT '0',
  `s_id` int(10) unsigned NOT NULL DEFAULT '0',
  KEY `s_id` (`s_id`),
  KEY `so_id` (`so_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `sources` (
  `so_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `source` varchar(255) DEFAULT NULL,
  `date` date DEFAULT NULL,
  KEY `so_id` (`so_id`),
  KEY `date` (`date`)
) ENGINE=MyISAM AUTO_INCREMENT=6816 DEFAULT CHARSET=utf8;

CREATE TABLE `sentences_tagged` (
  `s_id` int(10) unsigned NOT NULL,
  `sentence` text,
  KEY `s_id` (`s_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `words_pos_base` (
  `w_id` int(10) unsigned NOT NULL DEFAULT '0',
  `word` varchar(256) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT '',
  `pos` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT '',
  `base_form` varchar(256) DEFAULT '',
  `freq` int(8) unsigned DEFAULT NULL,
  `pos_ud17` varchar(64) DEFAULT '',
  UNIQUE KEY `w_id` (`w_id`,`word`(128),`pos`,`base_form`(128)),
  KEY `i_w_id` (`w_id`),
  KEY `i_word` (`word`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

ALTER TABLE `words` DISABLE KEYS;
ALTER TABLE `sentences` DISABLE KEYS;
ALTER TABLE `co_s` DISABLE KEYS;
ALTER TABLE `co_n` DISABLE KEYS;
ALTER TABLE `inv_w` DISABLE KEYS;
ALTER TABLE `inv_so` DISABLE KEYS;
ALTER TABLE `sources` DISABLE KEYS;
ALTER TABLE `sentences_tagged` DISABLE KEYS;
ALTER TABLE `words_pos_base` DISABLE KEYS;

LOAD DATA LOCAL INFILE 'deu-de_web-wrt_2019_100K-words.txt' INTO TABLE words;
LOAD DATA LOCAL INFILE 'deu-de_web-wrt_2019_100K-sentences.txt' INTO TABLE sentences;
LOAD DATA LOCAL INFILE 'deu-de_web-wrt_2019_100K-co_s.txt' INTO TABLE co_s;
LOAD DATA LOCAL INFILE 'deu-de_web-wrt_2019_100K-co_n.txt' INTO TABLE co_n;
LOAD DATA LOCAL INFILE 'deu-de_web-wrt_2019_100K-inv_w.txt' INTO TABLE inv_w;
LOAD DATA LOCAL INFILE 'deu-de_web-wrt_2019_100K-inv_so.txt' INTO TABLE inv_so;
LOAD DATA LOCAL INFILE 'deu-de_web-wrt_2019_100K-sources.txt' INTO TABLE sources;
LOAD DATA LOCAL INFILE 'deu-de_web-wrt_2019_100K-sentences_tagged.txt' INTO TABLE sentences_tagged;
LOAD DATA LOCAL INFILE 'deu-de_web-wrt_2019_100K-words_pos_base.txt' INTO TABLE words_pos_base;

ALTER TABLE `words` ENABLE KEYS;
ALTER TABLE `sentences` ENABLE KEYS;
ALTER TABLE `co_s` ENABLE KEYS;
ALTER TABLE `co_n` ENABLE KEYS;
ALTER TABLE `inv_w` ENABLE KEYS;
ALTER TABLE `inv_so` ENABLE KEYS;
ALTER TABLE `sources` ENABLE KEYS;
ALTER TABLE `sentences_tagged` ENABLE KEYS;
ALTER TABLE `words_pos_base` ENABLE KEYS;